{************************************************************************}
{ TDBPlanner component                                                   }
{ for Delphi 3.0, 4.0, 5.0 & C++Builder 3.0,4.0,5.0                      }
{ version 1.0                                                            }
{                                                                        }
{ written by                                                             }
{    TMS Software                                                        }
{    copyright  2001                                                    }
{    Email : info@tmssoftware.com                                        }
{    Web : http://www.tmssoftware.com                                    }
{                                                                        }
{************************************************************************}

unit dbplanreg;

interface

uses
  DBPlanner, Classes, DsgnIntf, DBPlanDE;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('TMS', [TDBPlanner]);
  RegisterComponents('TMS', [TDBDaySource]);
  RegisterComponents('TMS', [TDBPeriodSource]);
  RegisterComponents('TMS', [TDBMonthSource]);

  RegisterPropertyEditor(TypeInfo(string),TDBDaySource,'StartTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBDaySource,'EndTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBDaySource,'KeyField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBDaySource,'NotesField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBDaySource,'SubjectField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBDaySource,'ResourceField',TPlannerFieldNameProperty);

  RegisterPropertyEditor(TypeInfo(string),TDBPeriodSource,'StartTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBPeriodSource,'EndTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBPeriodSource,'KeyField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBPeriodSource,'NotesField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBPeriodSource,'SubjectField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBPeriodSource,'ResourceField',TPlannerFieldNameProperty);

  RegisterPropertyEditor(TypeInfo(string),TDBMonthSource,'StartTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBMonthSource,'EndTimeField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBMonthSource,'KeyField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBMonthSource,'NotesField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBMonthSource,'SubjectField',TPlannerFieldNameProperty);
  RegisterPropertyEditor(TypeInfo(string),TDBMonthSource,'ResourceField',TPlannerFieldNameProperty);
end;

end.
